org.omg.DynamicAny

## Interface DynFixed

- All Superinterfaces:
    DynAny, DynAnyOperations, DynFixedOperations, IDLEntity, Object, Serializable
  All Known Implementing Classes:
    _DynFixedStub

      public interface DynFixed
      extends DynFixedOperations, DynAny, IDLEntity

  DynFixed objects support the manipulation of IDL fixed values. Because IDL does not have a generic type that can represent fixed types with arbitrary number of digits and arbitrary scale, the operations use the IDL string type.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.DynamicAny.DynFixedOperations

      `get_value, set_value`

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

      `assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.